--- results/org.apache.dubbo/dubbo/2.7.10/oss-rebuild-improved-2/reference/dubbo-spring-boot-2.7.10.pom:.flattened-pom.xml	2025-04-06 13:31:20.703159834 +0000
+++ results/org.apache.dubbo/dubbo/2.7.10/oss-rebuild-improved-2/rebuild/dubbo-spring-boot-2.7.10.pom:.flattened-pom.xml	2025-04-06 13:31:27.823048245 +0000
@@ -1,180 +1,180 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!--
-  Licensed to the Apache Software Foundation (ASF) under one or more
-  contributor license agreements.  See the NOTICE file distributed with
-  this work for additional information regarding copyright ownership.
-  The ASF licenses this file to You under the Apache License, Version 2.0
-  (the "License"); you may not use this file except in compliance with
-  the License.  You may obtain a copy of the License at
-
-      http://www.apache.org/licenses/LICENSE-2.0
-
-  Unless required by applicable law or agreed to in writing, software
-  distributed under the License is distributed on an "AS IS" BASIS,
-  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-  See the License for the specific language governing permissions and
-  limitations under the License.
-  -->
-<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
-    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
-  <modelVersion>4.0.0</modelVersion>
-  <parent>
-    <groupId>org.apache.dubbo</groupId>
-    <artifactId>dubbo-parent</artifactId>
-    <version>2.7.10</version>
-  </parent>
-  <groupId>org.apache.dubbo</groupId>
-  <artifactId>dubbo-spring-boot</artifactId>
-  <version>2.7.10</version>
-  <packaging>pom</packaging>
-  <description>Apache Dubbo Spring Boot Parent</description>
-  <licenses>
-    <license>
-      <name>Apache License, Version 2.0</name>
-      <url>http://www.apache.org/licenses/LICENSE-2.0</url>
-      <distribution>repo</distribution>
-    </license>
-  </licenses>
-  <modules>
-    <module>dubbo-spring-boot-actuator</module>
-    <module>dubbo-spring-boot-autoconfigure</module>
-    <module>dubbo-spring-boot-compatible</module>
-    <module>dubbo-spring-boot-starter</module>
-  </modules>
-  <properties>
-    <spring-boot.version>2.3.1.RELEASE</spring-boot.version>
-    <dubbo.version>${revision}</dubbo.version>
-  </properties>
-  <dependencyManagement>
-    <dependencies>
-      <dependency>
-        <groupId>org.springframework.boot</groupId>
-        <artifactId>spring-boot-dependencies</artifactId>
-        <version>${spring-boot.version}</version>
-        <type>pom</type>
-        <scope>import</scope>
-      </dependency>
-    </dependencies>
-  </dependencyManagement>
-  <repositories>
-    <repository>
-      <snapshots>
-        <enabled>false</enabled>
-      </snapshots>
-      <id>spring-milestone</id>
-      <name>Spring Milestone</name>
-      <url>https://repo.spring.io/milestone</url>
-    </repository>
-    <repository>
-      <snapshots>
-        <enabled>true</enabled>
-      </snapshots>
-      <id>spring-snapshot</id>
-      <name>Spring Snapshot</name>
-      <url>https://repo.spring.io/snapshot</url>
-    </repository>
-    <repository>
-      <snapshots>
-        <enabled>false</enabled>
-      </snapshots>
-      <id>rabbit-milestone</id>
-      <name>Rabbit Milestone</name>
-      <url>https://dl.bintray.com/rabbitmq/maven-milestones</url>
-    </repository>
-  </repositories>
-  <pluginRepositories>
-    <pluginRepository>
-      <snapshots>
-        <enabled>false</enabled>
-      </snapshots>
-      <id>central</id>
-      <url>https://repo.maven.apache.org/maven2</url>
-    </pluginRepository>
-    <pluginRepository>
-      <snapshots>
-        <enabled>false</enabled>
-      </snapshots>
-      <id>spring-milestone</id>
-      <name>Spring Milestone</name>
-      <url>https://repo.spring.io/milestone</url>
-    </pluginRepository>
-    <pluginRepository>
-      <snapshots>
-        <enabled>true</enabled>
-      </snapshots>
-      <id>spring-snapshot</id>
-      <name>Spring Snapshot</name>
-      <url>https://repo.spring.io/snapshot</url>
-    </pluginRepository>
-  </pluginRepositories>
-  <build>
-    <resources>
-      <resource>
-        <filtering>false</filtering>
-        <directory>src/main/resources/</directory>
-      </resource>
-      <resource>
-        <targetPath>META-INF/</targetPath>
-        <filtering>false</filtering>
-        <directory>../</directory>
-        <includes>
-          <include>NOTICE</include>
-          <include>LICENSE</include>
-        </includes>
-      </resource>
-    </resources>
-    <plugins>
-      <plugin>
-        <artifactId>maven-jar-plugin</artifactId>
-        <version>${maven_jar_version}</version>
-        <configuration>
-          <archive>
-            <addMavenDescriptor>true</addMavenDescriptor>
-            <index>true</index>
-            <manifest>
-              <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
-              <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
-            </manifest>
-            <manifestEntries>
-              <Specification-Version>${project.version}</Specification-Version>
-              <Implementation-Version>${project.version}</Implementation-Version>
-            </manifestEntries>
-          </archive>
-        </configuration>
-      </plugin>
-      <plugin>
-        <artifactId>maven-compiler-plugin</artifactId>
-        <version>${maven_compiler_version}</version>
-        <configuration>
-          <compilerArgs>
-            <compilerArg>-parameters</compilerArg>
-          </compilerArgs>
-          <fork>true</fork>
-          <source>${java_source_version}</source>
-          <target>${java_target_version}</target>
-          <encoding>${file_encoding}</encoding>
-        </configuration>
-      </plugin>
-    </plugins>
-  </build>
-  <profiles>
-    <profile>
-      <id>spring-boot-2.0</id>
-      <properties>
-        <spring-boot.version>2.0.9.RELEASE</spring-boot.version>
-      </properties>
-    </profile>
-    <profile>
-      <id>spring-boot-2.1</id>
-      <properties>
-        <spring-boot.version>2.1.15.RELEASE</spring-boot.version>
-      </properties>
-    </profile>
-    <profile>
-      <id>spring-boot-2.2</id>
-      <properties>
-        <spring-boot.version>2.2.8.RELEASE</spring-boot.version>
-      </properties>
-    </profile>
-  </profiles>
-</project>
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+  Licensed to the Apache Software Foundation (ASF) under one or more
+  contributor license agreements.  See the NOTICE file distributed with
+  this work for additional information regarding copyright ownership.
+  The ASF licenses this file to You under the Apache License, Version 2.0
+  (the "License"); you may not use this file except in compliance with
+  the License.  You may obtain a copy of the License at
+
+      http://www.apache.org/licenses/LICENSE-2.0
+
+  Unless required by applicable law or agreed to in writing, software
+  distributed under the License is distributed on an "AS IS" BASIS,
+  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+  See the License for the specific language governing permissions and
+  limitations under the License.
+  -->
+<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.apache.dubbo</groupId>
+    <artifactId>dubbo-parent</artifactId>
+    <version>2.7.10</version>
+  </parent>
+  <groupId>org.apache.dubbo</groupId>
+  <artifactId>dubbo-spring-boot</artifactId>
+  <version>2.7.10</version>
+  <packaging>pom</packaging>
+  <description>Apache Dubbo Spring Boot Parent</description>
+  <licenses>
+    <license>
+      <name>Apache License, Version 2.0</name>
+      <url>http://www.apache.org/licenses/LICENSE-2.0</url>
+      <distribution>repo</distribution>
+    </license>
+  </licenses>
+  <modules>
+    <module>dubbo-spring-boot-actuator</module>
+    <module>dubbo-spring-boot-autoconfigure</module>
+    <module>dubbo-spring-boot-compatible</module>
+    <module>dubbo-spring-boot-starter</module>
+  </modules>
+  <properties>
+    <spring-boot.version>2.3.1.RELEASE</spring-boot.version>
+    <dubbo.version>${revision}</dubbo.version>
+  </properties>
+  <dependencyManagement>
+    <dependencies>
+      <dependency>
+        <groupId>org.springframework.boot</groupId>
+        <artifactId>spring-boot-dependencies</artifactId>
+        <version>${spring-boot.version}</version>
+        <type>pom</type>
+        <scope>import</scope>
+      </dependency>
+    </dependencies>
+  </dependencyManagement>
+  <repositories>
+    <repository>
+      <snapshots>
+        <enabled>false</enabled>
+      </snapshots>
+      <id>spring-milestone</id>
+      <name>Spring Milestone</name>
+      <url>https://repo.spring.io/milestone</url>
+    </repository>
+    <repository>
+      <snapshots>
+        <enabled>true</enabled>
+      </snapshots>
+      <id>spring-snapshot</id>
+      <name>Spring Snapshot</name>
+      <url>https://repo.spring.io/snapshot</url>
+    </repository>
+    <repository>
+      <snapshots>
+        <enabled>false</enabled>
+      </snapshots>
+      <id>rabbit-milestone</id>
+      <name>Rabbit Milestone</name>
+      <url>https://dl.bintray.com/rabbitmq/maven-milestones</url>
+    </repository>
+  </repositories>
+  <pluginRepositories>
+    <pluginRepository>
+      <snapshots>
+        <enabled>false</enabled>
+      </snapshots>
+      <id>central</id>
+      <url>https://repo.maven.apache.org/maven2</url>
+    </pluginRepository>
+    <pluginRepository>
+      <snapshots>
+        <enabled>false</enabled>
+      </snapshots>
+      <id>spring-milestone</id>
+      <name>Spring Milestone</name>
+      <url>https://repo.spring.io/milestone</url>
+    </pluginRepository>
+    <pluginRepository>
+      <snapshots>
+        <enabled>true</enabled>
+      </snapshots>
+      <id>spring-snapshot</id>
+      <name>Spring Snapshot</name>
+      <url>https://repo.spring.io/snapshot</url>
+    </pluginRepository>
+  </pluginRepositories>
+  <build>
+    <resources>
+      <resource>
+        <filtering>false</filtering>
+        <directory>src/main/resources/</directory>
+      </resource>
+      <resource>
+        <targetPath>META-INF/</targetPath>
+        <filtering>false</filtering>
+        <directory>../</directory>
+        <includes>
+          <include>NOTICE</include>
+          <include>LICENSE</include>
+        </includes>
+      </resource>
+    </resources>
+    <plugins>
+      <plugin>
+        <artifactId>maven-jar-plugin</artifactId>
+        <version>${maven_jar_version}</version>
+        <configuration>
+          <archive>
+            <addMavenDescriptor>true</addMavenDescriptor>
+            <index>true</index>
+            <manifest>
+              <addDefaultSpecificationEntries>true</addDefaultSpecificationEntries>
+              <addDefaultImplementationEntries>true</addDefaultImplementationEntries>
+            </manifest>
+            <manifestEntries>
+              <Specification-Version>${project.version}</Specification-Version>
+              <Implementation-Version>${project.version}</Implementation-Version>
+            </manifestEntries>
+          </archive>
+        </configuration>
+      </plugin>
+      <plugin>
+        <artifactId>maven-compiler-plugin</artifactId>
+        <version>${maven_compiler_version}</version>
+        <configuration>
+          <compilerArgs>
+            <compilerArg>-parameters</compilerArg>
+          </compilerArgs>
+          <fork>true</fork>
+          <source>${java_source_version}</source>
+          <target>${java_target_version}</target>
+          <encoding>${file_encoding}</encoding>
+        </configuration>
+      </plugin>
+    </plugins>
+  </build>
+  <profiles>
+    <profile>
+      <id>spring-boot-2.0</id>
+      <properties>
+        <spring-boot.version>2.0.9.RELEASE</spring-boot.version>
+      </properties>
+    </profile>
+    <profile>
+      <id>spring-boot-2.1</id>
+      <properties>
+        <spring-boot.version>2.1.15.RELEASE</spring-boot.version>
+      </properties>
+    </profile>
+    <profile>
+      <id>spring-boot-2.2</id>
+      <properties>
+        <spring-boot.version>2.2.8.RELEASE</spring-boot.version>
+      </properties>
+    </profile>
+  </profiles>
+</project>